Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.common
Class AttributeValue

    java.lang.Object
      oracle.ifs.common.AttributeValue

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Comparable, LooselyBoundedCacheable

Direct Known Subclasses:
  AttributeValueArray, AttributeValueScalar

    public class AttributeValue

extends java.lang.Object
implements java.lang.Cloneable, java.io.Serializable, java.lang.Comparable, LooselyBoundedCacheable

An AttributeValue represents the value of an Attribute of a LibraryObject.

An AttributeValue is instantiated any time a value needs to be represented. AttributeValues are implicitly created in getting the value of an Attribute. They may also be explicitly created using the `newAttributeValue` factory methods, in order to set the value of an Attribute in a LibraryObject or LibraryObjectDefinition.

In addition to the value itself, an AttributeValue tracks the data type, whether the value is an array-type, and whether the value is null. The class also provides methods to retrieve the value as various Java types, such as int, Integer, or String (not all of these are available for all AttributeValue data types). All of these conversion methods require a LibrarySession or S_LibrarySession argument. This session's Localizer is used to perform any needed localization (specifically, parsing and formatting numbers and dates).

AttributeValues also track the name of the Attribute whose value they represent. After you use a `newAttributeValue` method to create an AttributeValue, you can invoke the `setName` method to set its name. This is optional, unless you want to include the AttributeValue in an array passed to the `LibraryObject.setAttributes(AttributeValue[])` method. Note that once an AttributeValue's name is set, it cannot be altered except in limited ways using the `ensureUpperCaseName` and `overrideName` methods.

See Also:
  Serialized Form
(Published)

Field Summary
`static java.lang.Long` | `LONG_ZERO` Constant for a Long representation of zero (used to depict the ID of a null object).
`protected java.lang.String` | `m_Name` The name of this AttributeValue.

Constructor Summary
`protected` | `AttributeValue()` Constructs a null AttributeValue of an unknown data type.

Method Summary
`void` | `added(java.lang.Object id)` Called when an instance is added to the cache.
`static java.util.Hashtable` | `arrayToHashtable(AttributeValue[] attrVals)` Converts an array of AttributeValues to a hashtable, hashed by name.
`boolean` | `canPurge()` Gets whether the item can be purged from the the BoundedCache.
`int` | `compareTo(java.lang.Object o)` Compares two AttributeValues.
`protected boolean` | `convertToBoolean(LibrarySessionInterface session, int index)` Converts this AttributeValue to a boolean.
`protected boolean[]` | `convertToBooleanArray(LibrarySessionInterface session)` Converts this AttributeValue to an array of booleans.
`protected java.lang.Boolean` | `convertToBooleanObject(LibrarySessionInterface session, int index)` Converts this AttributeValue to a Boolean.
`protected java.lang.Boolean[]` | `convertToBooleanObjectArray(LibrarySessionInterface session)` Converts this AttributeValue to an array of Booleans.
`protected java.util.Date` | `convertToDate(LibrarySessionInterface session, int index)` Converts this AttributeValue to a Date.
`protected java.util.Date[]` | `convertToDateArray(LibrarySessionInterface session)` Converts this AttributeValue to an array of Dates.
`protected DirectoryObjectInterface` | `convertToDirectoryObject(LibrarySessionInterface session, int index)` Converts this AttributeValue to a DirectoryObject.
`protected DirectoryObjectInterface[]` | `convertToDirectoryObjectArray(LibrarySessionInterface session)` Converts this AttributeValue to an array of DirectoryObjects.
`protected double` | `convertToDouble(LibrarySessionInterface session, int index)` Converts this AttributeValue to a double.
`protected double[]` | `convertToDoubleArray(LibrarySessionInterface session)` Converts this AttributeValue to an array of doubles.
`protected java.lang.Double` | `convertToDoubleObject(LibrarySessionInterface session, int index)` Converts this AttributeValue to a Double.
`protected java.lang.Double[]` | `convertToDoubleObjectArray(LibrarySessionInterface session)` Converts this AttributeValue to an array of Doubles.
`protected int` | `convertToInteger(LibrarySessionInterface session, int index)` Converts this AttributeValue to an int.
`protected int[]` | `convertToIntegerArray(LibrarySessionInterface session)` Converts this AttributeValue to an array of ints.
`protected java.lang.Integer` | `convertToIntegerObject(LibrarySessionInterface session, int index)` Converts this AttributeValue to an Integer.
`protected java.lang.Integer[]` | `convertToIntegerObjectArray(LibrarySessionInterface session)` Converts this AttributeValue to an array of Integers.
`protected long` | `convertToLong(LibrarySessionInterface session, int index)` Converts this AttributeValue to a long.
`protected long[]` | `convertToLongArray(LibrarySessionInterface session)` Converts this AttributeValue to an array of longs.
`protected java.lang.Long` | `convertToLongObject(LibrarySessionInterface session, int index)` Converts this AttributeValue to a Long.
`protected java.lang.Long[]` | `convertToLongObjectArray(LibrarySessionInterface session)` Converts this AttributeValue to an array of Longs.
`protected PublicObjectInterface` | `convertToPublicObject(LibrarySessionInterface session, int index)` Converts this AttributeValue to a PublicObject.
`protected PublicObjectInterface[]` | `convertToPublicObjectArray(LibrarySessionInterface session)` Converts this AttributeValue to an array of PublicObjects.
`protected SchemaObjectInterface` | `convertToSchemaObject(LibrarySessionInterface session, int index)` Converts this AttributeValue to a SchemaObject.
`protected SchemaObjectInterface[]` | `convertToSchemaObjectArray(LibrarySessionInterface session)` Converts this AttributeValue to an array of SchemaObjects.
`protected java.lang.String` | `convertToString(LibrarySessionInterface session, int index)` Converts this AttributeValue to a String.
`protected java.lang.String[]` | `convertToStringArray(LibrarySessionInterface session)` Converts this AttributeValue to an array of Strings.
`protected SystemObjectInterface` | `convertToSystemObject(LibrarySessionInterface session, int index)` Converts this AttributeValue to a SystemObject.
`protected SystemObjectInterface[]` | `convertToSystemObjectArray(LibrarySessionInterface session)` Converts this AttributeValue to an array of SystemObjects.
`void` | `ensureUpperCaseName()` Ensures the name of this AttributeValue (if any) is uppercase.
`boolean` | `getBoolean(LibrarySessionInterface session)` Gets this AttributeValue's representation as a boolean.
`boolean[]` | `getBooleanArray(LibrarySessionInterface session)` Gets this AttributeValue's representation as an array of booleans.
`boolean` | `getBooleanArray(LibrarySessionInterface session, int index)` Get the specified element of this AttributeValue's representation as an array of booleans.
`java.lang.Boolean` | `getBooleanObject(LibrarySessionInterface session)` Gets this AttributeValue's representation as a Boolean.
`java.lang.Boolean[]` | `getBooleanObjectArray(LibrarySessionInterface session)` Gets this AttributeValue's representation as an array of Booleans.
`java.lang.Boolean` | `getBooleanObjectArray(LibrarySessionInterface session, int index)` Get the specified element of this AttributeValue's representation as an array of Booleans.
`int` | `getDataType()` Gets the data type of this AttributeValue.
`java.util.Date` | `getDate(LibrarySessionInterface session)` Gets this AttributeValue's representation as a Date.
`java.util.Date[]` | `getDateArray(LibrarySessionInterface session)` Gets this AttributeValue's representation as an array of Dates.
`java.util.Date` | `getDateArray(LibrarySessionInterface session, int index)` Get the specified element of this AttributeValue's representation as an array of Dates.
`DirectoryObjectInterface` | `getDirectoryObject(LibrarySessionInterface session)` Gets this AttributeValue's representation as a DirectoryObject.
`DirectoryObjectInterface[]` | `getDirectoryObjectArray(LibrarySessionInterface session)` Gets this AttributeValue's representation as an array of DirectoryObjects.
`DirectoryObjectInterface` | `getDirectoryObjectArray(LibrarySessionInterface session, int index)` Get the specified element of this AttributeValue's representation as an array of DirectoryObjects.
`double` | `getDouble(LibrarySessionInterface session)` Gets this AttributeValue's representation as a double.
`double[]` | `getDoubleArray(LibrarySessionInterface session)` Gets this AttributeValue's representation as an array of doubles.
`double` | `getDoubleArray(LibrarySessionInterface session, int index)` Get the specified element of this AttributeValue's representation as an array of doubles.
`java.lang.Double` | `getDoubleObject(LibrarySessionInterface session)` Gets this AttributeValue's representation as a Double.
`java.lang.Double[]` | `getDoubleObjectArray(LibrarySessionInterface session)` Gets this AttributeValue's representation as an array of Doubles.
`java.lang.Double` | `getDoubleObjectArray(LibrarySessionInterface session, int index)` Get the specified element of this AttributeValue's representation as an array of Doubles.
`int` | `getElementCount()` Gets the number of elements in an array-type AttributeValue.
`int` | `getInteger(LibrarySessionInterface session)` Gets this AttributeValue's representation as an int.
`int[]` | `getIntegerArray(LibrarySessionInterface session)` Gets this AttributeValue's representation as an array of ints.
`int` | `getIntegerArray(LibrarySessionInterface session, int index)` Get the specified element of this AttributeValue's representation as an array of ints.
`java.lang.Integer` | `getIntegerObject(LibrarySessionInterface session)` Gets this AttributeValue's representation as an Integer.
`java.lang.Integer[]` | `getIntegerObjectArray(LibrarySessionInterface session)` Gets this AttributeValue's representation as an array of Integers.
`java.lang.Integer` | `getIntegerObjectArray(LibrarySessionInterface session, int index)` Get the specified element of this AttributeValue's representation as an array of Integers.
`LibraryObjectInterface` | `getLibraryObject(LibrarySessionInterface session)` Gets this AttributeValue's representation as a scalar LibraryObject.
`long` | `getLong(LibrarySessionInterface session)` Gets this AttributeValue's representation as a long.
`long[]` | `getLongArray(LibrarySessionInterface session)` Gets this AttributeValue's representation as an array of longs.
`long` | `getLongArray(LibrarySessionInterface session, int index)` Get the specified element of this AttributeValue's representation as an array of longs.
`java.lang.Long` | `getLongObject(LibrarySessionInterface session)` Gets this AttributeValue's representation as a Long.
`java.lang.Long[]` | `getLongObjectArray(LibrarySessionInterface session)` Gets this AttributeValue's representation as an array of Longs.
`java.lang.Long` | `getLongObjectArray(LibrarySessionInterface session, int index)` Get the specified element of this AttributeValue's representation as an array of Longs.
`java.lang.String` | `getName()` Gets the name of this AttributeValue.
`java.lang.Object` | `getObject(LibrarySessionInterface session)` Gets the default object representation of this AttributeValue.
`PublicObjectInterface` | `getPublicObject(LibrarySessionInterface session)` Gets this AttributeValue's representation as a PublicObject.
`PublicObjectInterface[]` | `getPublicObjectArray(LibrarySessionInterface session)` Gets this AttributeValue's representation as an array of PublicObjects.
`PublicObjectInterface` | `getPublicObjectArray(LibrarySessionInterface session, int index)` Get the specified element of this AttributeValue's representation as an array of PublicObjects.
`SchemaObjectInterface` | `getSchemaObject(LibrarySessionInterface session)` Gets this AttributeValue's representation as a SchemaObject.
`SchemaObjectInterface[]` | `getSchemaObjectArray(LibrarySessionInterface session)` Gets this AttributeValue's representation as an array of SchemaObjects.
`SchemaObjectInterface` | `getSchemaObjectArray(LibrarySessionInterface session, int index)` Get the specified element of this AttributeValue's representation as an array of SchemaObjects.
`java.lang.String` | `getString(LibrarySessionInterface session)` Gets this AttributeValue's representation as a String.
`java.lang.String[]` | `getStringArray(LibrarySessionInterface session)` Gets this AttributeValue's representation as an array of Strings.
`java.lang.String` | `getStringArray(LibrarySessionInterface session, int index)` Get the specified element of this AttributeValue's representation as an array of Strings.
`SystemObjectInterface` | `getSystemObject(LibrarySessionInterface session)` Gets this AttributeValue's representation as a SystemObject.
`SystemObjectInterface[]` | `getSystemObjectArray(LibrarySessionInterface session)` Gets this AttributeValue's representation as an array of SystemObjects.
`SystemObjectInterface` | `getSystemObjectArray(LibrarySessionInterface session, int index)` Get the specified element of this AttributeValue's representation as an array of SystemObjects.
`static AttributeValue[]` | `hashtableToArray(java.util.Hashtable hashtable)` Converts a hashtable of AttributeValues to an array.
`boolean` | `isArrayType()` Gets whether this AttributeValue is an array-type AttributeValue.
`boolean` | `isLibraryObjectArrayType()` Gets whether this AttributeValue is an array LibraryObject type AttributeValue.
`boolean` | `isLibraryObjectScalarType()` Gets whether this AttributeValue is a scalar LibraryObject type AttributeValue.
`boolean` | `isLibraryObjectType()` Gets whether this AttributeValue is a LibraryObject type AttributeValue, either scalar or array.
`boolean` | `isNullValue()` Gets whether this AttributeValue is null.
`static AttributeValue` | `newAttributeValue()` Constructs a null AttributeValue of an unknown data type.
`static AttributeValue` | `newAttributeValue(AttributeValue av)` Constructs a new AttributeValue identical to the specified AttributeValue except with no name.
`static AttributeValue` | `newAttributeValue(boolean value)` Constructs a new boolean AttributeValue.
`static AttributeValue` | `newAttributeValue(java.lang.Boolean value)` Constructs a new boolean AttributeValue.
`static AttributeValue` | `newAttributeValue(boolean[] values)` Constructs a new array-type boolean AttributeValue.
`static AttributeValue` | `newAttributeValue(java.lang.Boolean[] values)` Constructs a new array-type boolean AttributeValue.
`static AttributeValue` | `newAttributeValue(java.util.Date value)` Constructs a new date AttributeValue.
`static AttributeValue` | `newAttributeValue(java.util.Date[] values)` Constructs a new array-type date AttributeValue.
`static AttributeValue` | `newAttributeValue(DirectoryObjectInterface value)` Constructs a new DirectoryObject AttributeValue.
`static AttributeValue` | `newAttributeValue(DirectoryObjectInterface[] values)` Constructs a new array-type DirectoryObject AttributeValue.
`static AttributeValue` | `newAttributeValue(double value)` Constructs a new double AttributeValue.
`static AttributeValue` | `newAttributeValue(java.lang.Double value)` Constructs a new double AttributeValue.
`static AttributeValue` | `newAttributeValue(double[] values)` Constructs a new array-type double AttributeValue.
`static AttributeValue` | `newAttributeValue(java.lang.Double[] values)` Constructs a new array-type double AttributeValue.
`static AttributeValue` | `newAttributeValue(int value)` Constructs a new integer AttributeValue.
`static AttributeValue` | `newAttributeValue(int[] values)` Constructs a new array-type integer AttributeValue.
`static AttributeValue` | `newAttributeValue(java.lang.Integer value)` Constructs a new integer AttributeValue.
`static AttributeValue` | `newAttributeValue(java.lang.Integer[] values)` Constructs a new array-type integer AttributeValue.
`static AttributeValue` | `newAttributeValue(int attributeDataType, long objectId, java.lang.Long attributeId, long auditId, int count)` Internal use only: Constructs an AttributeValue of specified array-type data type.
`static AttributeValue` | `newAttributeValue(long value)` Constructs a new long AttributeValue.
`static AttributeValue` | `newAttributeValue(java.lang.Long value)` Constructs a new long AttributeValue.
`static AttributeValue` | `newAttributeValue(long[] values)` Constructs a new array-type long AttributeValue.
`static AttributeValue` | `newAttributeValue(java.lang.Long[] values)` Constructs a new array-type long AttributeValue.
`static AttributeValue` | `newAttributeValue(java.lang.Long[] ids, int attributeDataType)` Internal use only: Constructs a new AttributeValue of the specified data type for the specified array of ids.
`static AttributeValue` | `newAttributeValue(long id, int attributeDataType)` Internal use only: Constructs a new AttributeValue of the specified data type for the specified id.
`static AttributeValue` | `newAttributeValue(java.lang.Long id, int attributeDataType)` Internal use only: Constructs a new AttributeValue of the specified data type for the specified id.
`static AttributeValue` | `newAttributeValue(java.lang.Object value)` Constructs a new AttributeValue for the specified object.
`static AttributeValue` | `newAttributeValue(PublicObjectInterface value)` Constructs a new PublicObject AttributeValue.
`static AttributeValue` | `newAttributeValue(PublicObjectInterface[] values)` Constructs a new array-type PublicObject AttributeValue.
`static AttributeValue` | `newAttributeValue(SchemaObjectInterface value)` Constructs a new SchemaObject AttributeValue.
`static AttributeValue` | `newAttributeValue(SchemaObjectInterface[] values)` Constructs a new array-type SchemaObject AttributeValue.
`static AttributeValue` | `newAttributeValue(java.lang.String value)` Constructs a new string AttributeValue.
`static AttributeValue` | `newAttributeValue(java.lang.String[] values)` Constructs a new array-type string AttributeValue.
`static AttributeValue` | `newAttributeValue(SystemObjectInterface value)` Constructs a new SystemObject AttributeValue.
`static AttributeValue` | `newAttributeValue(SystemObjectInterface[] values)` Constructs a new array-type SystemObject AttributeValue.
`static AttributeValue` | `newNullAttributeValue(int attributeDataType)` Constructs a null AttributeValue of the specified data type.
`static AttributeValue` | `overrideName(java.lang.String name, AttributeValue av)` Overrides the name set for this AttributeValue by cloning the AttributeValue if the name is already set.
`void` | `removed(java.lang.Object id)` Called when an instance is removed to the cache.
`protected void` | `resolve(LibrarySessionInterface session)` Ensures that the AttributeValue can be converted to a Java type.
`void` | `setName(java.lang.String name)` Sets the name of this AttributeValue.
`protected java.lang.Boolean` | `toBoolean(java.lang.Double value, Localizer localizer)` Converts a Double to a Boolean.
`protected java.lang.Boolean` | `toBoolean(java.lang.Integer value, Localizer localizer)` Converts an Integer to a Boolean.
`protected java.lang.Boolean` | `toBoolean(java.lang.Long value, Localizer localizer)` Converts a Long to a Boolean.
`protected java.lang.Boolean` | `toBoolean(java.lang.String value, Localizer localizer)` Converts a String to a Boolean.
`protected java.util.Date` | `toDate(java.util.Date value, Localizer localizer)` Converts a Date to a Date (creates a clone).
`protected java.util.Date` | `toDate(java.lang.String value, Localizer localizer)` Converts a String to a Date.
`protected java.lang.Double` | `toDouble(java.lang.Boolean value, Localizer localizer)` Converts a Boolean to a Double.
`protected java.lang.Double` | `toDouble(java.lang.Number value, Localizer localizer)` Converts a Number to a Double.
`protected java.lang.Double` | `toDouble(java.lang.String value, Localizer localizer)` Converts a String to a Double.
`protected java.lang.Integer` | `toInteger(java.lang.Boolean value, Localizer localizer)` Converts a Boolean to an Integer.
`protected java.lang.Integer` | `toInteger(java.lang.Number value, Localizer localizer)` Converts a Number to an Integer.
`protected java.lang.Integer` | `toInteger(java.lang.String value, Localizer localizer)` Converts a String to an Integer.
`protected java.lang.Long` | `toLong(java.lang.Boolean value, Localizer localizer)` Converts a Boolean to a Long.
`protected java.lang.Long` | `toLong(java.util.Date value, Localizer localizer)` Converts a Date to a Long.
`protected java.lang.Long` | `toLong(java.lang.Number value, Localizer localizer)` Converts a Number to a Long.
`protected java.lang.Long` | `toLong(java.lang.String value, Localizer localizer)` Converts a String to a Long.
`java.lang.String` | `toString()` Gets the default object representation of this AttributeValue as a string.
`protected java.lang.String` | `toString(java.lang.Boolean value, Localizer localizer)` Converts a Boolean to a String.
`protected java.lang.String` | `toString(java.util.Date value, Localizer localizer)` Converts a Date to a String.
`protected java.lang.String` | `toString(java.lang.Double value, Localizer localizer)` Converts a Double to a String.
`protected java.lang.String` | `toString(java.lang.Integer value, Localizer localizer)` Converts an Integer to a String.
`java.lang.String` | `toString(LibrarySessionInterface sess)` Gets the default object representation of this AttributeValue as a string.
`protected java.lang.String` | `toString(java.lang.Long value, Localizer localizer)` Converts a Long to a String.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### LONG_ZERO

    public static final java.lang.Long LONG_ZERO

  Description copied from class: `AttributeValue`
  Constant for a Long representation of zero (used to depict the ID of a null object).

  (Published)

### m_Name

    protected java.lang.String m_Name

  Description copied from class: `AttributeValue`
  The name of this AttributeValue.

  (Unpublished)

Constructor Detail

### AttributeValue

    protected AttributeValue()

  Constructs a null AttributeValue of an unknown data type.

  (Unpublished)

Method Detail

### newAttributeValue

    public static final AttributeValue newAttributeValue(int value)
                                                  throws IfsException

  Description copied from class: `AttributeValue`
  Constructs a new integer AttributeValue.

  Parameters:
    `value` - the integer value
  Returns:
    the new AttributeValue
  Throws:
    `IfsException` - if the operation fails
  (Published)

### newAttributeValue

    public static final AttributeValue newAttributeValue(java.lang.Integer value)
                                                  throws IfsException

  Description copied from class: `AttributeValue`
  Constructs a new integer AttributeValue.

  Parameters:
    `value` - the integer value
  Returns:
    the new AttributeValue
  Throws:
    `IfsException` - if the operation fails
  (Published)

### newAttributeValue

    public static final AttributeValue newAttributeValue(long value)
                                                  throws IfsException

  Description copied from class: `AttributeValue`
  Constructs a new long AttributeValue.

  Parameters:
    `value` - the long value
  Returns:
    the new AttributeValue
  Throws:
    `IfsException` - if the operation fails
  (Published)

### newAttributeValue

    public static final AttributeValue newAttributeValue(java.lang.Long value)
                                                  throws IfsException

  Description copied from class: `AttributeValue`
  Constructs a new long AttributeValue.

  Parameters:
    `value` - the long value
  Returns:
    the new AttributeValue
  Throws:
    `IfsException` - if the operation fails
  (Published)

### newAttributeValue

    public static final AttributeValue newAttributeValue(double value)
                                                  throws IfsException

  Description copied from class: `AttributeValue`
  Constructs a new double AttributeValue.

  Parameters:
    `value` - the double value
  Returns:
    the new AttributeValue
  Throws:
    `IfsException` - if the operation fails
  (Published)

### newAttributeValue

    public static final AttributeValue newAttributeValue(java.lang.Double value)
                                                  throws IfsException

  Description copied from class: `AttributeValue`
  Constructs a new double AttributeValue.

  Parameters:
    `value` - the double value
  Returns:
    the new AttributeValue
  Throws:
    `IfsException` - if the operation fails
  (Published)

### newAttributeValue

    public static final AttributeValue newAttributeValue(java.lang.String value)
                                                  throws IfsException

  Description copied from class: `AttributeValue`
  Constructs a new string AttributeValue. If an empty string is passed as an argument, the AttributeValue string will be null.

  Parameters:
    `value` - the string value
  Returns:
    the new AttributeValue
  Throws:
    `IfsException` - if the operation fails
  (Published)

### newAttributeValue

    public static final AttributeValue newAttributeValue(java.util.Date value)
                                                  throws IfsException

  Description copied from class: `AttributeValue`
  Constructs a new date AttributeValue.

  Parameters:
    `value` - the date value
  Returns:
    the new AttributeValue
  Throws:
    `IfsException` - if the operation fails
  (Published)

### newAttributeValue

    public static final AttributeValue newAttributeValue(boolean value)
                                                  throws IfsException

  Description copied from class: `AttributeValue`
  Constructs a new boolean AttributeValue.

  Parameters:
    `value` - the boolean value
  Returns:
    the new AttributeValue
  Throws:
    `IfsException` - if the operation fails
  (Published)

### newAttributeValue

    public static final AttributeValue newAttributeValue(java.lang.Boolean value)
                                                  throws IfsException

  Description copied from class: `AttributeValue`
  Constructs a new boolean AttributeValue.

  Parameters:
    `value` - the boolean value
  Returns:
    the new AttributeValue
  Throws:
    `IfsException` - if the operation fails
  (Published)

### newAttributeValue

    public static final AttributeValue newAttributeValue(SchemaObjectInterface value)
                                                  throws IfsException

  Description copied from class: `AttributeValue`
  Constructs a new SchemaObject AttributeValue.

  Parameters:
    `value` - the SchemaObject value
  Returns:
    the new AttributeValue
  Throws:
    `IfsException` - if the operation fails
  (Published)

### newAttributeValue

    public static final AttributeValue newAttributeValue(SystemObjectInterface value)
                                                  throws IfsException

  Description copied from class: `AttributeValue`
  Constructs a new SystemObject AttributeValue.

  Parameters:
    `value` - the SystemObject value
  Returns:
    the new AttributeValue
  Throws:
    `IfsException` - if the operation fails
  (Published)

### newAttributeValue

    public static final AttributeValue newAttributeValue(PublicObjectInterface value)
                                                  throws IfsException

  Description copied from class: `AttributeValue`
  Constructs a new PublicObject AttributeValue.

  Parameters:
    `value` - the PublicObject value
  Returns:
    the new AttributeValue
  Throws:
    `IfsException` - if the operation fails
  (Published)

### newAttributeValue

    public static final AttributeValue newAttributeValue(DirectoryObjectInterface value)
                                                  throws IfsException

  Description copied from class: `AttributeValue`
  Constructs a new DirectoryObject AttributeValue.

  Parameters:
    `value` - the DirectoryObject value
  Returns:
    the new AttributeValue
  Throws:
    `IfsException` - if the operation fails
  (Published)

### newAttributeValue

    public static final AttributeValue newAttributeValue(int[] values)
                                                  throws IfsException

  Description copied from class: `AttributeValue`
  Constructs a new array-type integer AttributeValue.

  Parameters:
    `values` - the integer values
  Returns:
    the new AttributeValue
  Throws:
    `IfsException` - if the operation fails
  (Published)

### newAttributeValue

    public static final AttributeValue newAttributeValue(java.lang.Integer[] values)
                                                  throws IfsException

  Description copied from class: `AttributeValue`
  Constructs a new array-type integer AttributeValue.

  Parameters:
    `values` - the integer values
  Returns:
    the new AttributeValue
  Throws:
    `IfsException` - if the operation fails
  (Published)

### newAttributeValue

    public static final AttributeValue newAttributeValue(long[] values)
                                                  throws IfsException

  Description copied from class: `AttributeValue`
  Constructs a new array-type long AttributeValue.

  Parameters:
    `values` - the long values
  Returns:
    the new AttributeValue
  Throws:
    `IfsException` - if the operation fails
  (Published)

### newAttributeValue

    public static final AttributeValue newAttributeValue(java.lang.Long[] values)
                                                  throws IfsException

  Description copied from class: `AttributeValue`
  Constructs a new array-type long AttributeValue.

  Parameters:
    `values` - the long values
  Returns:
    the new AttributeValue
  Throws:
    `IfsException` - if the operation fails
  (Published)

### newAttributeValue

    public static final AttributeValue newAttributeValue(double[] values)
                                                  throws IfsException

  Description copied from class: `AttributeValue`
  Constructs a new array-type double AttributeValue.

  Parameters:
    `values` - the double values
  Returns:
    the new AttributeValue
  Throws:
    `IfsException` - if the operation fails
  (Published)

### newAttributeValue

    public static final AttributeValue newAttributeValue(java.lang.Double[] values)
                                                  throws IfsException

  Description copied from class: `AttributeValue`
  Constructs a new array-type double AttributeValue.

  Parameters:
    `values` - the double values
  Returns:
    the new AttributeValue
  Throws:
    `IfsException` - if the operation fails
  (Published)

### newAttributeValue

    public static final AttributeValue newAttributeValue(java.lang.String[] values)
                                                  throws IfsException

  Description copied from class: `AttributeValue`
  Constructs a new array-type string AttributeValue. If the argument contains an empty array, the AttributeValue array-type string will be null.

  Parameters:
    `values` - the string values
  Returns:
    the new AttributeValue
  Throws:
    `IfsException` - if the operation fails
  (Published)

### newAttributeValue

    public static final AttributeValue newAttributeValue(java.util.Date[] values)
                                                  throws IfsException

  Description copied from class: `AttributeValue`
  Constructs a new array-type date AttributeValue.

  Parameters:
    `values` - the date values
  Returns:
    the new AttributeValue
  Throws:
    `IfsException` - if the operation fails
  (Published)

### newAttributeValue

    public static final AttributeValue newAttributeValue(boolean[] values)
                                                  throws IfsException

  Description copied from class: `AttributeValue`
  Constructs a new array-type boolean AttributeValue.

  Parameters:
    `values` - the boolean values
  Returns:
    the new AttributeValue
  Throws:
    `IfsException` - if the operation fails
  (Published)

### newAttributeValue

    public static final AttributeValue newAttributeValue(java.lang.Boolean[] values)
                                                  throws IfsException

  Description copied from class: `AttributeValue`
  Constructs a new array-type boolean AttributeValue.

  Parameters:
    `values` - the boolean values
  Returns:
    the new AttributeValue
  Throws:
    `IfsException` - if the operation fails
  (Published)

### newAttributeValue

    public static final AttributeValue newAttributeValue(SchemaObjectInterface[] values)
                                                  throws IfsException

  Description copied from class: `AttributeValue`
  Constructs a new array-type SchemaObject AttributeValue.

  Parameters:
    `values` - the SchemaObject values
  Returns:
    the new AttributeValue
  Throws:
    `IfsException` - if the operation fails
  (Published)

### newAttributeValue

    public static final AttributeValue newAttributeValue(SystemObjectInterface[] values)
                                                  throws IfsException

  Description copied from class: `AttributeValue`
  Constructs a new array-type SystemObject AttributeValue.

  Parameters:
    `values` - the SystemObject values
  Returns:
    the new AttributeValue
  Throws:
    `IfsException` - if the operation fails
  (Published)

### newAttributeValue

    public static final AttributeValue newAttributeValue(PublicObjectInterface[] values)
                                                  throws IfsException

  Description copied from class: `AttributeValue`
  Constructs a new array-type PublicObject AttributeValue.

  Parameters:
    `values` - the PublicObject values
  Returns:
    the new AttributeValue
  Throws:
    `IfsException` - if the operation fails
  (Published)

### newAttributeValue

    public static final AttributeValue newAttributeValue(DirectoryObjectInterface[] values)
                                                  throws IfsException

  Description copied from class: `AttributeValue`
  Constructs a new array-type DirectoryObject AttributeValue.

  Parameters:
    `values` - the DirectoryObject values
  Returns:
    the new AttributeValue
  Throws:
    `IfsException` - if the operation fails
  (Published)

### newAttributeValue

    public static final AttributeValue newAttributeValue(long id,
                                                         int attributeDataType)
                                                  throws IfsException

  Description copied from class: `AttributeValue`
  Internal use only: Constructs a new AttributeValue of the specified data type for the specified id.

  For internal use only. Do not call this method.

  Parameters:
    `id` - the id
    `attributeDataType` - the Attribute data type
  Returns:
    the new AttributeValue
  Throws:
    `IfsException` - (IFS-10400) if `attributeDataType` is not `Attribute.ATTRIBUTEDATATYPE_SCHEMAOBJECT`, `Attribute.ATTRIBUTEDATATYPE_SYSTEMOBJECT`, `Attribute.ATTRIBUTEDATATYPE_PUBLICOBJECT`, or `Attribute.ATTRIBUTEDATATYPE_DIRECTORYOBJECT`
  (Unpublished)

### newAttributeValue

    public static final AttributeValue newAttributeValue(java.lang.Long id,
                                                         int attributeDataType)
                                                  throws IfsException

  Description copied from class: `AttributeValue`
  Internal use only: Constructs a new AttributeValue of the specified data type for the specified id.

  For internal use only. Do not call this method.

  Parameters:
    `id` - the id
    `attributeDataType` - the Attribute data type
  Returns:
    the new AttributeValue
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### newAttributeValue

    public static final AttributeValue newAttributeValue(java.lang.Long[] ids,
                                                         int attributeDataType)
                                                  throws IfsException

  Description copied from class: `AttributeValue`
  Internal use only: Constructs a new AttributeValue of the specified data type for the specified array of ids.

  For internal use only. Do not call this method.

  Parameters:
    `ids` - the ids
    `attributeDataType` - the Attribute data type (must be an array type)
  Returns:
    the new AttributeValue
  Throws:
    `IfsException` - (IFS-10400) if `attributeDataType` is not `Attribute.ATTRIBUTEDATATYPE_SCHEMAOBJECT_ARRAY`, `Attribute.ATTRIBUTEDATATYPE_SYSTEMOBJECT_ARRAY`, `Attribute.ATTRIBUTEDATATYPE_PUBLICOBJECT_ARRAY`, or `Attribute.ATTRIBUTEDATATYPE_DIRECTORYOBJECT_ARRAY`
  (Unpublished)

### newAttributeValue

    public static final AttributeValue newAttributeValue(int attributeDataType,
                                                         long objectId,
                                                         java.lang.Long attributeId,
                                                         long auditId,
                                                         int count)
                                                  throws IfsException

  Description copied from class: `AttributeValue`
  Internal use only: Constructs an AttributeValue of specified array-type data type.

  For internal use only. Do not call this method.

  This variant is used to retrieve an array-type AttributeValue from the database. It defers loading the elements of the AttributeValue from the appropriate attribute value database table until they are needed.

  Parameters:
    `attributeDataType` - the array-type data type
    `objectId` - if this AttributeValue represents the value of a LibraryObject's Attribute, this is the id of that LibraryObject; -1 if this AttributeValue represents the value of a system audit entry property
    `attributeId` - if this AttributeValue represents the value of a LibraryObject's Attribute, this is the id of that Attribute; if this AttributeValue represents the value of a system audit entry property, this is the system audit entry property id
    `auditId` - if this AttributeValue represents the value of a system audit entry property or an audited LibraryObject's Attribute, this is the audit id; -1 if this AttributeValue represents the current value of a LibraryObject's Attribute
    `count` - the number of elements in this AttributeValue
  Returns:
    the new AttributeValue
  Throws:
    `IfsException` - (IFS-10400) if `attributeDataType` is invalid
    `IfsException` - (IFS-10410) if `attributeDataType` is not an array-type
    `IfsException` - (IFS-9999) if objectId and auditId are null
    `IfsException` - (IFS-19001) if attributeId is null
  (Unpublished)

### newAttributeValue

    public static final AttributeValue newAttributeValue(AttributeValue av)
                                                  throws IfsException

  Description copied from class: `AttributeValue`
  Constructs a new AttributeValue identical to the specified AttributeValue except with no name.

  Parameters:
    `av` - the existing AttributeValue
  Returns:
    the new nameless AttributeValue
  Throws:
    `IfsException` - if the operation fails
  (Published)

### newAttributeValue

    public static final AttributeValue newAttributeValue(java.lang.Object value)
                                                  throws IfsException

  Description copied from class: `AttributeValue`
  Constructs a new AttributeValue for the specified object.

  Parameters:
    `value` - the object
  Returns:
    the new AttributeValue
  Throws:
    `IfsException` - (IFS-10403 or IFS-10404) if an AttributeValue cannot be constructed for `value`'s class
  (Published)

### newAttributeValue

    public static final AttributeValue newAttributeValue()
                                                  throws IfsException

  Description copied from class: `AttributeValue`
  Constructs a null AttributeValue of an unknown data type.

  Returns:
    the new AttributeValue
  Throws:
    `IfsException`
  (Published)

### newNullAttributeValue

    public static final AttributeValue newNullAttributeValue(int attributeDataType)
                                                      throws IfsException

  Description copied from class: `AttributeValue`
  Constructs a null AttributeValue of the specified data type.

  Data types are enumerated in `oracle.ifs.beans.Attribute`.

  `newNullAttributeValue(Attribute.ATTRIBUTEDATATYPE_STRING)` is equivalent to `newAttributeValue((String)null)`.

  Parameters:
    `attributeDataType` - the Attribute data type
  Returns:
    the new AttributeValue
  Throws:
    `IfsException` - (IFS-10400) if `attributeDataType` is invalid
  (Published)

### getInteger

    public final int getInteger(LibrarySessionInterface session)
                         throws IfsException

  Description copied from class: `AttributeValue`
  Gets this AttributeValue's representation as an int.

  Parameters:
    `session` - the session
  Returns:
    the int value
  Throws:
    `IfsException` - (IFS-10405) if this AttributeValue is null
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as an int
  (Published)

### getIntegerObject

    public final java.lang.Integer getIntegerObject(LibrarySessionInterface session)
                                             throws IfsException

  Description copied from class: `AttributeValue`
  Gets this AttributeValue's representation as an Integer.

  Parameters:
    `session` - the session
  Returns:
    the Integer value
  Throws:
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as an Integer
  (Published)

### getLong

    public final long getLong(LibrarySessionInterface session)
                       throws IfsException

  Description copied from class: `AttributeValue`
  Gets this AttributeValue's representation as a long.

  Parameters:
    `session` - the session
  Returns:
    the long value
  Throws:
    `IfsException` - (IFS-10405) if this AttributeValue is null
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as a long
  (Published)

### getLongObject

    public final java.lang.Long getLongObject(LibrarySessionInterface session)
                                       throws IfsException

  Description copied from class: `AttributeValue`
  Gets this AttributeValue's representation as a Long.

  Parameters:
    `session` - the session
  Returns:
    the Long value
  Throws:
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as a Long
  (Published)

### getDouble

    public final double getDouble(LibrarySessionInterface session)
                           throws IfsException

  Description copied from class: `AttributeValue`
  Gets this AttributeValue's representation as a double.

  Parameters:
    `session` - the session
  Returns:
    the double value
  Throws:
    `IfsException` - (IFS-10405) if this AttributeValue is null
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as a double
  (Published)

### getDoubleObject

    public final java.lang.Double getDoubleObject(LibrarySessionInterface session)
                                           throws IfsException

  Description copied from class: `AttributeValue`
  Gets this AttributeValue's representation as a Double.

  Parameters:
    `session` - the session
  Returns:
    the Double value
  Throws:
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as a Double
  (Published)

### getString

    public final java.lang.String getString(LibrarySessionInterface session)
                                     throws IfsException

  Description copied from class: `AttributeValue`
  Gets this AttributeValue's representation as a String.

  Parameters:
    `session` - the session
  Returns:
    the String value
  Throws:
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as a String
  (Published)

### getDate

    public final java.util.Date getDate(LibrarySessionInterface session)
                                 throws IfsException

  Description copied from class: `AttributeValue`
  Gets this AttributeValue's representation as a Date.

  Parameters:
    `session` - the session
  Returns:
    the Date value
  Throws:
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as a Date
  (Published)

### getBoolean

    public final boolean getBoolean(LibrarySessionInterface session)
                             throws IfsException

  Description copied from class: `AttributeValue`
  Gets this AttributeValue's representation as a boolean.

  Parameters:
    `session` - the session
  Returns:
    the boolean value
  Throws:
    `IfsException` - (IFS-10405) if this AttributeValue is null
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as a boolean
  (Published)

### getBooleanObject

    public final java.lang.Boolean getBooleanObject(LibrarySessionInterface session)
                                             throws IfsException

  Description copied from class: `AttributeValue`
  Gets this AttributeValue's representation as a Boolean.

  Parameters:
    `session` - the session
  Returns:
    the Boolean value
  Throws:
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as a Boolean
  (Published)

### getSchemaObject

    public final SchemaObjectInterface getSchemaObject(LibrarySessionInterface session)
                                                throws IfsException

  Description copied from class: `AttributeValue`
  Gets this AttributeValue's representation as a SchemaObject.

  Parameters:
    `session` - the session
  Returns:
    the SchemaObject value
  Throws:
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as a SchemaObject
  (Published)

### getSystemObject

    public final SystemObjectInterface getSystemObject(LibrarySessionInterface session)
                                                throws IfsException

  Description copied from class: `AttributeValue`
  Gets this AttributeValue's representation as a SystemObject.

  Parameters:
    `session` - the session
  Returns:
    the SystemObject value
  Throws:
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as a SystemObject
  (Published)

### getPublicObject

    public final PublicObjectInterface getPublicObject(LibrarySessionInterface session)
                                                throws IfsException

  Description copied from class: `AttributeValue`
  Gets this AttributeValue's representation as a PublicObject.

  Parameters:
    `session` - the session
  Returns:
    the PublicObject value
  Throws:
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as a PublicObject
  (Published)

### getDirectoryObject

    public final DirectoryObjectInterface getDirectoryObject(LibrarySessionInterface session)
                                                      throws IfsException

  Description copied from class: `AttributeValue`
  Gets this AttributeValue's representation as a DirectoryObject.

  Parameters:
    `session` - the session
  Returns:
    the DirectoryObject value
  Throws:
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as a DirectoryObject
  (Published)

### getLibraryObject

    public final LibraryObjectInterface getLibraryObject(LibrarySessionInterface session)
                                                  throws IfsException

  Description copied from class: `AttributeValue`
  Gets this AttributeValue's representation as a scalar LibraryObject.

  Parameters:
    `session` - the session
  Returns:
    the LibraryObject value
  Throws:
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as a LibraryObject
  (Published)

### getIntegerArray

    public final int[] getIntegerArray(LibrarySessionInterface session)
                                throws IfsException

  Description copied from class: `AttributeValue`
  Gets this AttributeValue's representation as an array of ints.

  Parameters:
    `session` - the session
  Returns:
    the int array; null if the AttributeValue is null
  Throws:
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as an int[]
  (Published)

### getIntegerObjectArray

    public final java.lang.Integer[] getIntegerObjectArray(LibrarySessionInterface session)
                                                    throws IfsException

  Description copied from class: `AttributeValue`
  Gets this AttributeValue's representation as an array of Integers.

  Parameters:
    `session` - the session
  Returns:
    the Integer array; null if the AttributeValue is null
  Throws:
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as an Integer[]
  (Published)

### getLongArray

    public final long[] getLongArray(LibrarySessionInterface session)
                              throws IfsException

  Description copied from class: `AttributeValue`
  Gets this AttributeValue's representation as an array of longs.

  Parameters:
    `session` - the session
  Returns:
    the long array; null if the AttributeValue is null
  Throws:
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as a long[]
  (Published)

### getLongObjectArray

    public final java.lang.Long[] getLongObjectArray(LibrarySessionInterface session)
                                              throws IfsException

  Description copied from class: `AttributeValue`
  Gets this AttributeValue's representation as an array of Longs.

  Parameters:
    `session` - the session
  Returns:
    the Long array; null if the AttributeValue is null
  Throws:
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as a Long[]
  (Published)

### getDoubleArray

    public final double[] getDoubleArray(LibrarySessionInterface session)
                                  throws IfsException

  Description copied from class: `AttributeValue`
  Gets this AttributeValue's representation as an array of doubles.

  Parameters:
    `session` - the session
  Returns:
    the double array; null if the AttributeValue is null
  Throws:
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as a double[]
  (Published)

### getDoubleObjectArray

    public final java.lang.Double[] getDoubleObjectArray(LibrarySessionInterface session)
                                                  throws IfsException

  Description copied from class: `AttributeValue`
  Gets this AttributeValue's representation as an array of Doubles.

  Parameters:
    `session` - the session
  Returns:
    the Double array; null if the AttributeValue is null
  Throws:
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as a Double[]
  (Published)

### getStringArray

    public final java.lang.String[] getStringArray(LibrarySessionInterface session)
                                            throws IfsException

  Description copied from class: `AttributeValue`
  Gets this AttributeValue's representation as an array of Strings.

  Parameters:
    `session` - the session
  Returns:
    the String array; null if the AttributeValue is null
  Throws:
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as a String[]
  (Published)

### getDateArray

    public final java.util.Date[] getDateArray(LibrarySessionInterface session)
                                        throws IfsException

  Description copied from class: `AttributeValue`
  Gets this AttributeValue's representation as an array of Dates.

  Parameters:
    `session` - the session
  Returns:
    the Date array; null if the AttributeValue is null
  Throws:
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as a Date[]
  (Published)

### getBooleanArray

    public final boolean[] getBooleanArray(LibrarySessionInterface session)
                                    throws IfsException

  Description copied from class: `AttributeValue`
  Gets this AttributeValue's representation as an array of booleans.

  Parameters:
    `session` - the session
  Returns:
    the boolean array; null if the AttributeValue is null
  Throws:
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as a boolean[]
  (Published)

### getBooleanObjectArray

    public final java.lang.Boolean[] getBooleanObjectArray(LibrarySessionInterface session)
                                                    throws IfsException

  Description copied from class: `AttributeValue`
  Gets this AttributeValue's representation as an array of Booleans.

  Parameters:
    `session` - the session
  Returns:
    the Boolean array; null if the AttributeValue is null
  Throws:
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as a Boolean[]
  (Published)

### getSchemaObjectArray

    public final SchemaObjectInterface[] getSchemaObjectArray(LibrarySessionInterface session)
                                                       throws IfsException

  Description copied from class: `AttributeValue`
  Gets this AttributeValue's representation as an array of SchemaObjects.

  Parameters:
    `session` - the session
  Returns:
    the SchemaObject array; null if the AttributeValue is null
  Throws:
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as a SchemaObject[]
  (Published)

### getSystemObjectArray

    public final SystemObjectInterface[] getSystemObjectArray(LibrarySessionInterface session)
                                                       throws IfsException

  Description copied from class: `AttributeValue`
  Gets this AttributeValue's representation as an array of SystemObjects.

  Parameters:
    `session` - the session
  Returns:
    the SystemObject array; null if the AttributeValue is null
  Throws:
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as a SystemObject[]
  (Published)

### getPublicObjectArray

    public final PublicObjectInterface[] getPublicObjectArray(LibrarySessionInterface session)
                                                       throws IfsException

  Description copied from class: `AttributeValue`
  Gets this AttributeValue's representation as an array of PublicObjects.

  Parameters:
    `session` - the session
  Returns:
    the PublicObject array; null if the AttributeValue is null
  Throws:
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as a PublicObject[]
  (Published)

### getDirectoryObjectArray

    public final DirectoryObjectInterface[] getDirectoryObjectArray(LibrarySessionInterface session)
                                                             throws IfsException

  Description copied from class: `AttributeValue`
  Gets this AttributeValue's representation as an array of DirectoryObjects.

  Parameters:
    `session` - the session
  Returns:
    the DirectoryObject array; null if the AttributeValue is null
  Throws:
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as a DirectoryObject[]
  (Published)

### getIntegerArray

    public final int getIntegerArray(LibrarySessionInterface session,
                                     int index)
                              throws IfsException

  Description copied from class: `AttributeValue`
  Get the specified element of this AttributeValue's representation as an array of ints.

  Parameters:
    `session` - the session
    `index` - the zero-based index
  Returns:
    the int value of that element
  Throws:
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as an int[]
  (Published)

### getIntegerObjectArray

    public final java.lang.Integer getIntegerObjectArray(LibrarySessionInterface session,
                                                         int index)
                                                  throws IfsException

  Description copied from class: `AttributeValue`
  Get the specified element of this AttributeValue's representation as an array of Integers.

  Parameters:
    `session` - the session
    `index` - the zero-based index
  Returns:
    the Integer value of that element
  Throws:
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as an Integer[]
  (Published)

### getLongArray

    public final long getLongArray(LibrarySessionInterface session,
                                   int index)
                            throws IfsException

  Description copied from class: `AttributeValue`
  Get the specified element of this AttributeValue's representation as an array of longs.

  Parameters:
    `session` - the session
    `index` - the zero-based index
  Returns:
    the long value of that element
  Throws:
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as a long[]
  (Published)

### getLongObjectArray

    public final java.lang.Long getLongObjectArray(LibrarySessionInterface session,
                                                   int index)
                                            throws IfsException

  Description copied from class: `AttributeValue`
  Get the specified element of this AttributeValue's representation as an array of Longs.

  Parameters:
    `session` - the session
    `index` - the zero-based index
  Returns:
    the Long value of that element
  Throws:
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as a Long[]
  (Published)

### getDoubleArray

    public final double getDoubleArray(LibrarySessionInterface session,
                                       int index)
                                throws IfsException

  Description copied from class: `AttributeValue`
  Get the specified element of this AttributeValue's representation as an array of doubles.

  Parameters:
    `session` - the session
    `index` - the zero-based index
  Returns:
    the double value of that element
  Throws:
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as a double[]
  (Published)

### getDoubleObjectArray

    public final java.lang.Double getDoubleObjectArray(LibrarySessionInterface session,
                                                       int index)
                                                throws IfsException

  Description copied from class: `AttributeValue`
  Get the specified element of this AttributeValue's representation as an array of Doubles.

  Parameters:
    `session` - the session
    `index` - the zero-based index
  Returns:
    the Double value of that element
  Throws:
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as a Double[]
  (Published)

### getStringArray

    public final java.lang.String getStringArray(LibrarySessionInterface session,
                                                 int index)
                                          throws IfsException

  Description copied from class: `AttributeValue`
  Get the specified element of this AttributeValue's representation as an array of Strings.

  Parameters:
    `session` - the session
    `index` - the zero-based index
  Returns:
    the String value of that element
  Throws:
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as a String[]
  (Published)

### getDateArray

    public final java.util.Date getDateArray(LibrarySessionInterface session,
                                             int index)
                                      throws IfsException

  Description copied from class: `AttributeValue`
  Get the specified element of this AttributeValue's representation as an array of Dates.

  Parameters:
    `session` - the session
    `index` - the zero-based index
  Returns:
    the Date value of that element
  Throws:
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as a Date[]
  (Published)

### getBooleanArray

    public final boolean getBooleanArray(LibrarySessionInterface session,
                                         int index)
                                  throws IfsException

  Description copied from class: `AttributeValue`
  Get the specified element of this AttributeValue's representation as an array of booleans.

  Parameters:
    `session` - the session
    `index` - the zero-based index
  Returns:
    the boolean value of that element
  Throws:
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as a boolean[]
  (Published)

### getBooleanObjectArray

    public final java.lang.Boolean getBooleanObjectArray(LibrarySessionInterface session,
                                                         int index)
                                                  throws IfsException

  Description copied from class: `AttributeValue`
  Get the specified element of this AttributeValue's representation as an array of Booleans.

  Parameters:
    `session` - the session
    `index` - the zero-based index
  Returns:
    the Boolean value of that element
  Throws:
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as a Boolean[]
  (Published)

### getSchemaObjectArray

    public final SchemaObjectInterface getSchemaObjectArray(LibrarySessionInterface session,
                                                            int index)
                                                     throws IfsException

  Description copied from class: `AttributeValue`
  Get the specified element of this AttributeValue's representation as an array of SchemaObjects.

  Parameters:
    `session` - the session
    `index` - the zero-based index
  Returns:
    the SchemaObject value of that element
  Throws:
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as a SchemaObject[]
  (Published)

### getSystemObjectArray

    public final SystemObjectInterface getSystemObjectArray(LibrarySessionInterface session,
                                                            int index)
                                                     throws IfsException

  Description copied from class: `AttributeValue`
  Get the specified element of this AttributeValue's representation as an array of SystemObjects.

  Parameters:
    `session` - the session
    `index` - the zero-based index
  Returns:
    the SystemObject value of that element
  Throws:
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as a SystemObject[]
  (Published)

### getPublicObjectArray

    public final PublicObjectInterface getPublicObjectArray(LibrarySessionInterface session,
                                                            int index)
                                                     throws IfsException

  Description copied from class: `AttributeValue`
  Get the specified element of this AttributeValue's representation as an array of PublicObjects.

  Parameters:
    `session` - the session
    `index` - the zero-based index
  Returns:
    the PublicObject value of that element
  Throws:
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as a PublicObject[]
  (Published)

### getDirectoryObjectArray

    public final DirectoryObjectInterface getDirectoryObjectArray(LibrarySessionInterface session,
                                                                  int index)
                                                           throws IfsException

  Description copied from class: `AttributeValue`
  Get the specified element of this AttributeValue's representation as an array of DirectoryObjects.

  Parameters:
    `session` - the session
    `index` - the zero-based index
  Returns:
    the DirectoryObject value of that element
  Throws:
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as a DirectoryObject[]
  (Published)

### setName

    public final void setName(java.lang.String name)
                       throws IfsException

  Description copied from class: `AttributeValue`
  Sets the name of this AttributeValue.

  Parameters:
    `name` - the string name
  Throws:
    `IfsException` - if the operation fails
  (Published)

### overrideName

    public static final AttributeValue overrideName(java.lang.String name,
                                                    AttributeValue av)
                                             throws IfsException

  Description copied from class: `AttributeValue`
  Overrides the name set for this AttributeValue by cloning the AttributeValue if the name is already set.

  Parameters:
    `name` - the name
    `av` - the AttributeValue
  Returns:
    either the previously-nameless AttributeValue with the name now set, or a clone of the previously-named AttributeValue with the name altered
  Throws:
    `IfsException` - if the operation fails
  (Published)

### ensureUpperCaseName

    public final void ensureUpperCaseName()
                                   throws IfsException

  Description copied from class: `AttributeValue`
  Ensures the name of this AttributeValue (if any) is uppercase.

  Throws:
    `IfsException` - if the operation fails
  (Published)

### getName

    public final java.lang.String getName()
                                   throws IfsException

  Description copied from class: `AttributeValue`
  Gets the name of this AttributeValue.

  Returns:
    the name
  Throws:
    `IfsException`
  (Published)

### getDataType

    public int getDataType()
                    throws IfsException

  Description copied from class: `AttributeValue`
  Gets the data type of this AttributeValue.

  Data types are enumerated in `oracle.ifs.beans.Attribute`.

  Returns:
    the data type
  Throws:
    `IfsException`
  (Published)

### isArrayType

    public final boolean isArrayType()
                              throws IfsException

  Description copied from class: `AttributeValue`
  Gets whether this AttributeValue is an array-type AttributeValue.

  Returns:
    whether the AttributeValue is an array type
  Throws:
    `IfsException` - if the operation fails
  (Published)

### isLibraryObjectType

    public final boolean isLibraryObjectType()
                                      throws IfsException

  Description copied from class: `AttributeValue`
  Gets whether this AttributeValue is a LibraryObject type AttributeValue, either scalar or array.

  Returns:
    whether a LibraryObject type
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### isLibraryObjectScalarType

    public final boolean isLibraryObjectScalarType()
                                            throws IfsException

  Description copied from class: `AttributeValue`
  Gets whether this AttributeValue is a scalar LibraryObject type AttributeValue.

  Equivalent to `isLibraryObjectType() && !isArrayType()`.

  Returns:
    whether a scalar LibraryObject type
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### isLibraryObjectArrayType

    public final boolean isLibraryObjectArrayType()
                                           throws IfsException

  Description copied from class: `AttributeValue`
  Gets whether this AttributeValue is an array LibraryObject type AttributeValue.

  Equivalent to `isLibraryObjectType() && isArrayType()`.

  Returns:
    whether an array LibraryObject type
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### isNullValue

    public boolean isNullValue()
                        throws IfsException

  Description copied from class: `AttributeValue`
  Gets whether this AttributeValue is null.

  Returns:
    whether the AttributeValue is null
  Throws:
    `IfsException`
  (Published)

### getElementCount

    public int getElementCount()
                        throws IfsException

  Description copied from class: `AttributeValue`
  Gets the number of elements in an array-type AttributeValue.

  Returns:
    the number of elements, or 1 if the AttributeValue is not an array type, or 0 if the AttributeValue is null
  Throws:
    `IfsException`
  (Published)

### getObject

    public java.lang.Object getObject(LibrarySessionInterface session)
                               throws IfsException

  Description copied from class: `AttributeValue`
  Gets the default object representation of this AttributeValue.

  For example, the default object representation of a boolean AttributeValue is a Java Boolean.

  Parameters:
    `session` - the session
  Returns:
    the default object representation
  Throws:
    `IfsException` - (IFS-10406) if there is a AttributeValue conversion error
  (Published)

### toString

    public final java.lang.String toString()

  Description copied from class: `AttributeValue`
  Gets the default object representation of this AttributeValue as a string.

  Equivalent to `getObject(null).toString()`. Unlike the `getString` method, the returned string is completely unformatted and unlocalized.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string
  (Published)

### toString

    public final java.lang.String toString(LibrarySessionInterface sess)

  Description copied from class: `AttributeValue`
  Gets the default object representation of this AttributeValue as a string.

  Equivalent to `getObject(sess).toString()`. Unlike the `getString` method, the returned string is completely unformatted and unlocalized.

  Returns:
    a string
  (Published)

### hashtableToArray

    public static final AttributeValue[] hashtableToArray(java.util.Hashtable hashtable)
                                                   throws IfsException

  Description copied from class: `AttributeValue`
  Converts a hashtable of AttributeValues to an array.

  Parameters:
    `hashtable` - the hashtable of AttributeValues
  Returns:
    an array of AttributeValues
  Throws:
    `IfsException`
  (Published)

### arrayToHashtable

    public static final java.util.Hashtable arrayToHashtable(AttributeValue[] attrVals)
                                                      throws IfsException

  Description copied from class: `AttributeValue`
  Converts an array of AttributeValues to a hashtable, hashed by name.

  AttributeValues whose name is unset are ignored.

  Parameters:
    `attrVals` - an array of AttributeValues
  Returns:
    the hashtable of AttributeValues
  Throws:
    `IfsException` - if the operation fails
  (Published)

### convertToInteger

    protected int convertToInteger(LibrarySessionInterface session,
                                   int index)
                            throws IfsException

  Description copied from class: `AttributeValue`
  Converts this AttributeValue to an int.

  Parameters:
    `session` - the session
    `index` - the zero-based index
  Returns:
    the int value
  Throws:
    `IfsException` - (IFS-10405) if this AttributeValue is null
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as an int
  (Unpublished)

### convertToIntegerObject

    protected java.lang.Integer convertToIntegerObject(LibrarySessionInterface session,
                                                       int index)
                                                throws IfsException

  Description copied from class: `AttributeValue`
  Converts this AttributeValue to an Integer.

  Parameters:
    `session` - the session
    `index` - the zero-based index
  Returns:
    the Integer value
  Throws:
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as an Integer
  (Unpublished)

### convertToLong

    protected long convertToLong(LibrarySessionInterface session,
                                 int index)
                          throws IfsException

  Description copied from class: `AttributeValue`
  Converts this AttributeValue to a long.

  Parameters:
    `session` - the session
    `index` - the zero-based index
  Returns:
    the long value
  Throws:
    `IfsException` - (IFS-10405) if this AttributeValue is null
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as a long
  (Unpublished)

### convertToLongObject

    protected java.lang.Long convertToLongObject(LibrarySessionInterface session,
                                                 int index)
                                          throws IfsException

  Description copied from class: `AttributeValue`
  Converts this AttributeValue to a Long.

  Parameters:
    `session` - the session
    `index` - the zero-based index
  Returns:
    the Long value
  Throws:
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as a Long
  (Unpublished)

### convertToDouble

    protected double convertToDouble(LibrarySessionInterface session,
                                     int index)
                              throws IfsException

  Description copied from class: `AttributeValue`
  Converts this AttributeValue to a double.

  Parameters:
    `session` - the session
    `index` - the zero-based index
  Returns:
    the double value
  Throws:
    `IfsException` - (IFS-10405) if this AttributeValue is null
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as a double
  (Unpublished)

### convertToDoubleObject

    protected java.lang.Double convertToDoubleObject(LibrarySessionInterface session,
                                                     int index)
                                              throws IfsException

  Description copied from class: `AttributeValue`
  Converts this AttributeValue to a Double.

  Parameters:
    `session` - the session
    `index` - the zero-based index
  Returns:
    the Double value
  Throws:
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as a Double
  (Unpublished)

### convertToString

    protected java.lang.String convertToString(LibrarySessionInterface session,
                                               int index)
                                        throws IfsException

  Description copied from class: `AttributeValue`
  Converts this AttributeValue to a String.

  Parameters:
    `session` - the session
    `index` - the zero-based index
  Returns:
    the String value
  Throws:
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as a String
  (Unpublished)

### convertToDate

    protected java.util.Date convertToDate(LibrarySessionInterface session,
                                           int index)
                                    throws IfsException

  Description copied from class: `AttributeValue`
  Converts this AttributeValue to a Date.

  Parameters:
    `session` - the session
    `index` - the zero-based index
  Returns:
    the Date value
  Throws:
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as a Date
  (Unpublished)

### convertToBoolean

    protected boolean convertToBoolean(LibrarySessionInterface session,
                                       int index)
                                throws IfsException

  Description copied from class: `AttributeValue`
  Converts this AttributeValue to a boolean.

  Parameters:
    `session` - the session
    `index` - the zero-based index
  Returns:
    the boolean value
  Throws:
    `IfsException` - (IFS-10405) if this AttributeValue is null
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as a boolean
  (Unpublished)

### convertToBooleanObject

    protected java.lang.Boolean convertToBooleanObject(LibrarySessionInterface session,
                                                       int index)
                                                throws IfsException

  Description copied from class: `AttributeValue`
  Converts this AttributeValue to a Boolean.

  Parameters:
    `session` - the session
    `index` - the zero-based index
  Returns:
    the Boolean value
  Throws:
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as a Boolean
  (Unpublished)

### convertToSchemaObject

    protected SchemaObjectInterface convertToSchemaObject(LibrarySessionInterface session,
                                                          int index)
                                                   throws IfsException

  Description copied from class: `AttributeValue`
  Converts this AttributeValue to a SchemaObject.

  Parameters:
    `session` - the session
    `index` - the zero-based index
  Returns:
    the SchemaObject value
  Throws:
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as a SchemaObject
  (Unpublished)

### convertToSystemObject

    protected SystemObjectInterface convertToSystemObject(LibrarySessionInterface session,
                                                          int index)
                                                   throws IfsException

  Description copied from class: `AttributeValue`
  Converts this AttributeValue to a SystemObject.

  Parameters:
    `session` - the session
    `index` - the zero-based index
  Returns:
    the SystemObject value
  Throws:
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as a SystemObject
  (Unpublished)

### convertToPublicObject

    protected PublicObjectInterface convertToPublicObject(LibrarySessionInterface session,
                                                          int index)
                                                   throws IfsException

  Description copied from class: `AttributeValue`
  Converts this AttributeValue to a PublicObject.

  Parameters:
    `session` - the session
    `index` - the zero-based index
  Returns:
    the PublicObject value
  Throws:
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as a PublicObject
  (Unpublished)

### convertToDirectoryObject

    protected DirectoryObjectInterface convertToDirectoryObject(LibrarySessionInterface session,
                                                                int index)
                                                         throws IfsException

  Description copied from class: `AttributeValue`
  Converts this AttributeValue to a DirectoryObject.

  Parameters:
    `session` - the session
    `index` - the zero-based index
  Returns:
    the DirectoryObject value
  Throws:
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as a DirectoryObject
  (Unpublished)

### convertToIntegerArray

    protected int[] convertToIntegerArray(LibrarySessionInterface session)
                                   throws IfsException

  Description copied from class: `AttributeValue`
  Converts this AttributeValue to an array of ints.

  Parameters:
    `session` - the session
  Returns:
    the int array; null if the AttributeValue is null
  Throws:
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as an int[]
  (Unpublished)

### convertToIntegerObjectArray

    protected java.lang.Integer[] convertToIntegerObjectArray(LibrarySessionInterface session)
                                                       throws IfsException

  Description copied from class: `AttributeValue`
  Converts this AttributeValue to an array of Integers.

  Parameters:
    `session` - the session
  Returns:
    the Integer array; null if the AttributeValue is null
  Throws:
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as an Integer[]
  (Unpublished)

### convertToLongArray

    protected long[] convertToLongArray(LibrarySessionInterface session)
                                 throws IfsException

  Description copied from class: `AttributeValue`
  Converts this AttributeValue to an array of longs.

  Parameters:
    `session` - the session
  Returns:
    the long array; null if the AttributeValue is null
  Throws:
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as a long[]
  (Unpublished)

### convertToLongObjectArray

    protected java.lang.Long[] convertToLongObjectArray(LibrarySessionInterface session)
                                                 throws IfsException

  Description copied from class: `AttributeValue`
  Converts this AttributeValue to an array of Longs.

  Parameters:
    `session` - the session
  Returns:
    the Long array; null if the AttributeValue is null
  Throws:
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as a Long[]
  (Unpublished)

### convertToDoubleArray

    protected double[] convertToDoubleArray(LibrarySessionInterface session)
                                     throws IfsException

  Description copied from class: `AttributeValue`
  Converts this AttributeValue to an array of doubles.

  Parameters:
    `session` - the session
  Returns:
    the double array; null if the AttributeValue is null
  Throws:
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as a double[]
  (Unpublished)

### convertToDoubleObjectArray

    protected java.lang.Double[] convertToDoubleObjectArray(LibrarySessionInterface session)
                                                     throws IfsException

  Description copied from class: `AttributeValue`
  Converts this AttributeValue to an array of Doubles.

  Parameters:
    `session` - the session
  Returns:
    the Double array; null if the AttributeValue is null
  Throws:
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as a Double[]
  (Unpublished)

### convertToStringArray

    protected java.lang.String[] convertToStringArray(LibrarySessionInterface session)
                                               throws IfsException

  Description copied from class: `AttributeValue`
  Converts this AttributeValue to an array of Strings.

  Parameters:
    `session` - the session
  Returns:
    the String array; null if the AttributeValue is null
  Throws:
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as a String[]
  (Unpublished)

### convertToDateArray

    protected java.util.Date[] convertToDateArray(LibrarySessionInterface session)
                                           throws IfsException

  Description copied from class: `AttributeValue`
  Converts this AttributeValue to an array of Dates.

  Parameters:
    `session` - the session
  Returns:
    the Date array; null if the AttributeValue is null
  Throws:
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as a Date[]
  (Unpublished)

### convertToBooleanArray

    protected boolean[] convertToBooleanArray(LibrarySessionInterface session)
                                       throws IfsException

  Description copied from class: `AttributeValue`
  Converts this AttributeValue to an array of booleans.

  Parameters:
    `session` - the session
  Returns:
    the boolean array; null if the AttributeValue is null
  Throws:
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as a boolean[]
  (Unpublished)

### convertToBooleanObjectArray

    protected java.lang.Boolean[] convertToBooleanObjectArray(LibrarySessionInterface session)
                                                       throws IfsException

  Description copied from class: `AttributeValue`
  Converts this AttributeValue to an array of Booleans.

  Parameters:
    `session` - the session
  Returns:
    the Boolean array; null if the AttributeValue is null
  Throws:
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as a Boolean[]
  (Unpublished)

### convertToSchemaObjectArray

    protected SchemaObjectInterface[] convertToSchemaObjectArray(LibrarySessionInterface session)
                                                          throws IfsException

  Description copied from class: `AttributeValue`
  Converts this AttributeValue to an array of SchemaObjects.

  Parameters:
    `session` - the session
  Returns:
    the SchemaObject array; null if the AttributeValue is null
  Throws:
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as a SchemaObject[]
  (Unpublished)

### convertToSystemObjectArray

    protected SystemObjectInterface[] convertToSystemObjectArray(LibrarySessionInterface session)
                                                          throws IfsException

  Description copied from class: `AttributeValue`
  Converts this AttributeValue to an array of SystemObjects.

  Parameters:
    `session` - the session
  Returns:
    the SystemObject array; null if the AttributeValue is null
  Throws:
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as a SystemObject[]
  (Unpublished)

### convertToPublicObjectArray

    protected PublicObjectInterface[] convertToPublicObjectArray(LibrarySessionInterface session)
                                                          throws IfsException

  Description copied from class: `AttributeValue`
  Converts this AttributeValue to an array of PublicObjects.

  Parameters:
    `session` - the session
  Returns:
    the PublicObject array; null if the AttributeValue is null
  Throws:
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as a PublicObject[]
  (Unpublished)

### convertToDirectoryObjectArray

    protected DirectoryObjectInterface[] convertToDirectoryObjectArray(LibrarySessionInterface session)
                                                                throws IfsException

  Description copied from class: `AttributeValue`
  Converts this AttributeValue to an array of DirectoryObjects.

  Parameters:
    `session` - the session
  Returns:
    the DirectoryObject array; null if the AttributeValue is null
  Throws:
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as a DirectoryObject[]
  (Unpublished)

### toInteger

    protected final java.lang.Integer toInteger(java.lang.Number value,
                                                Localizer localizer)
                                         throws IfsException

  Description copied from class: `AttributeValue`
  Converts a Number to an Integer.

  Parameters:
    `value` - the Number
    `localizer` - the Localizer to use
  Returns:
    the Integer
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### toInteger

    protected final java.lang.Integer toInteger(java.lang.Boolean value,
                                                Localizer localizer)
                                         throws IfsException

  Description copied from class: `AttributeValue`
  Converts a Boolean to an Integer.

  Parameters:
    `value` - the Boolean
    `localizer` - the Localizer to use
  Returns:
    the Integer
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### toInteger

    protected final java.lang.Integer toInteger(java.lang.String value,
                                                Localizer localizer)
                                         throws IfsException

  Description copied from class: `AttributeValue`
  Converts a String to an Integer.

  Parameters:
    `value` - the String
    `localizer` - the Localizer to use
  Returns:
    the Integer
  Throws:
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as an Integer
  (Unpublished)

### toLong

    protected final java.lang.Long toLong(java.lang.Number value,
                                          Localizer localizer)
                                   throws IfsException

  Description copied from class: `AttributeValue`
  Converts a Number to a Long.

  Parameters:
    `value` - the Number
    `localizer` - the Localizer to use
  Returns:
    the Long
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### toLong

    protected final java.lang.Long toLong(java.lang.Boolean value,
                                          Localizer localizer)
                                   throws IfsException

  Description copied from class: `AttributeValue`
  Converts a Boolean to a Long.

  Parameters:
    `value` - the Boolean
    `localizer` - the Localizer to use
  Returns:
    the Long
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### toLong

    protected final java.lang.Long toLong(java.util.Date value,
                                          Localizer localizer)
                                   throws IfsException

  Description copied from class: `AttributeValue`
  Converts a Date to a Long.

  Parameters:
    `value` - the Date
    `localizer` - the Localizer to use
  Returns:
    the Long
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### toLong

    protected final java.lang.Long toLong(java.lang.String value,
                                          Localizer localizer)
                                   throws IfsException

  Description copied from class: `AttributeValue`
  Converts a String to a Long.

  Parameters:
    `value` - the String
    `localizer` - the Localizer to use
  Returns:
    the Long
  Throws:
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as a Long
  (Unpublished)

### toDouble

    protected final java.lang.Double toDouble(java.lang.Number value,
                                              Localizer localizer)
                                       throws IfsException

  Description copied from class: `AttributeValue`
  Converts a Number to a Double.

  Parameters:
    `value` - the Number
    `localizer` - the Localizer to use
  Returns:
    the Double
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### toDouble

    protected final java.lang.Double toDouble(java.lang.Boolean value,
                                              Localizer localizer)
                                       throws IfsException

  Description copied from class: `AttributeValue`
  Converts a Boolean to a Double.

  Parameters:
    `value` - the Boolean
    `localizer` - the Localizer to use
  Returns:
    the Double
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### toDouble

    protected final java.lang.Double toDouble(java.lang.String value,
                                              Localizer localizer)
                                       throws IfsException

  Description copied from class: `AttributeValue`
  Converts a String to a Double.

  Parameters:
    `value` - the String
    `localizer` - the Localizer to use
  Returns:
    the Double
  Throws:
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as a Double
  (Unpublished)

### toBoolean

    protected final java.lang.Boolean toBoolean(java.lang.Integer value,
                                                Localizer localizer)
                                         throws IfsException

  Description copied from class: `AttributeValue`
  Converts an Integer to a Boolean.

  Parameters:
    `value` - the Integer
    `localizer` - the Localizer to use
  Returns:
    the Boolean
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### toBoolean

    protected final java.lang.Boolean toBoolean(java.lang.Long value,
                                                Localizer localizer)
                                         throws IfsException

  Description copied from class: `AttributeValue`
  Converts a Long to a Boolean.

  Parameters:
    `value` - the Long
    `localizer` - the Localizer to use
  Returns:
    the Boolean
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### toBoolean

    protected final java.lang.Boolean toBoolean(java.lang.Double value,
                                                Localizer localizer)
                                         throws IfsException

  Description copied from class: `AttributeValue`
  Converts a Double to a Boolean.

  Parameters:
    `value` - the Double
    `localizer` - the Localizer to use
  Returns:
    the Boolean
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### toBoolean

    protected final java.lang.Boolean toBoolean(java.lang.String value,
                                                Localizer localizer)
                                         throws IfsException

  Description copied from class: `AttributeValue`
  Converts a String to a Boolean.

  Parameters:
    `value` - the String
    `localizer` - the Localizer to use
  Returns:
    the Boolean
  Throws:
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as a Boolean
  (Unpublished)

### toString

    protected final java.lang.String toString(java.lang.Integer value,
                                              Localizer localizer)
                                       throws IfsException

  Description copied from class: `AttributeValue`
  Converts an Integer to a String.

  Parameters:
    `value` - the Integer
    `localizer` - the Localizer to use
  Returns:
    the String
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### toString

    protected final java.lang.String toString(java.lang.Long value,
                                              Localizer localizer)
                                       throws IfsException

  Description copied from class: `AttributeValue`
  Converts a Long to a String.

  Parameters:
    `value` - the Long
    `localizer` - the Localizer to use
  Returns:
    the Boolean
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### toString

    protected final java.lang.String toString(java.lang.Double value,
                                              Localizer localizer)
                                       throws IfsException

  Description copied from class: `AttributeValue`
  Converts a Double to a String.

  Parameters:
    `value` - the Double
    `localizer` - the Localizer to use
  Returns:
    the Boolean
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### toString

    protected final java.lang.String toString(java.lang.Boolean value,
                                              Localizer localizer)
                                       throws IfsException

  Description copied from class: `AttributeValue`
  Converts a Boolean to a String.

  Parameters:
    `value` - the Boolean
    `localizer` - the Localizer to use
  Returns:
    the String
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### toString

    protected final java.lang.String toString(java.util.Date value,
                                              Localizer localizer)
                                       throws IfsException

  Description copied from class: `AttributeValue`
  Converts a Date to a String.

  Parameters:
    `value` - the Date
    `localizer` - the Localizer to use
  Returns:
    the String
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### toDate

    protected final java.util.Date toDate(java.lang.String value,
                                          Localizer localizer)
                                   throws IfsException

  Description copied from class: `AttributeValue`
  Converts a String to a Date.

  Parameters:
    `value` - the String
    `localizer` - the Localizer to use
  Returns:
    the Date
  Throws:
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as a Date
  (Unpublished)

### toDate

    protected final java.util.Date toDate(java.util.Date value,
                                          Localizer localizer)
                                   throws IfsException

  Description copied from class: `AttributeValue`
  Converts a Date to a Date (creates a clone).

  Parameters:
    `value` - the Date
    `localizer` - the Localizer to use
  Returns:
    the cloned Date
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### compareTo

    public int compareTo(java.lang.Object o)

  Description copied from class: `AttributeValue`
  Compares two AttributeValues. Delegates comparison to a comparison of the two attribute names.

  Specified by:
    `compareTo` in interface `java.lang.Comparable`
  Parameters:
    `o` - the second AttributeValue to compare with
  Returns:
    a negative integer, zero, or a positive integer as this object is less than, equal to, or greater than the specified object.
  (Unpublished)

### canPurge

    public boolean canPurge()
                     throws IfsException

  Description copied from class: `AttributeValue`
  Gets whether the item can be purged from the the BoundedCache.

  The caller of this method indicates a desire to purge the object. The implementation should treat this as a purge request, but can return false if the item should not be purged.

  Specified by:
    `canPurge` in interface `LooselyBoundedCacheable`
  Returns:
    whether the item can be purged.
  Throws:
    `IfsException` - if operation fails.

### added

    public void added(java.lang.Object id)

  Description copied from class: `AttributeValue`
  Called when an instance is added to the cache.

  Specified by:
    `added` in interface `LooselyBoundedCacheable`
  Parameters:
    `id` - the id used for this entry in the cache

### removed

    public void removed(java.lang.Object id)

  Description copied from class: `AttributeValue`
  Called when an instance is removed to the cache.

  Specified by:
    `removed` in interface `LooselyBoundedCacheable`
  Parameters:
    `id` - the id used for this entry in the cache

### resolve

    protected void resolve(LibrarySessionInterface session)
                    throws IfsException

  Description copied from class: `AttributeValue`
  Ensures that the AttributeValue can be converted to a Java type.

  Parameters:
    `session` - the session
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD